#!/bin/bash

URL="http://www.opengl.org/registry/api"
HEADERS="glext.h glxext.h"

for i in ${HEADERS}
do
	echo "fetching ${URL}/${i}..."
	[[ -f $(pwd)/${i} ]] && rm ${i}
	wget -c ${URL}/${i}

	define="$(basename ${i} .h | tr [a-z] [A-Z)"
	grep "^#define ${define//EXT}_${define}_VERSION" ${i} \
		| sed "s:^#define ${define//EXT}_${define}_VERSION\ \(.*\):\1:"  > VERSION_${define}
done
